# Uses of Interface
org.apache.lucene.search.uhighlight.CharArrayMatcher

Packages that use CharArrayMatcher
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of CharArrayMatcher in org.apache.lucene.search.uhighlight

  Subinterfaces of CharArrayMatcher in org.apache.lucene.search.uhighlight
  Modifier and Type
  Interface
  Description
  `interface`
  `LabelledCharArrayMatcher`
  Associates a label with a CharArrayMatcher to distinguish different sources for terms in highlighting
  Methods in org.apache.lucene.search.uhighlight that return CharArrayMatcher
  Modifier and Type
  Method
  Description
  `static CharArrayMatcher`
  CharArrayMatcher.`fromTerms(List<BytesRef> terms)`
  Methods in org.apache.lucene.search.uhighlight with parameters of type CharArrayMatcher
  Modifier and Type
  Method
  Description
  `static LabelledCharArrayMatcher`
  LabelledCharArrayMatcher.`wrap(String label, CharArrayMatcher in)`
  Associates a label with a CharArrayMatcher